> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Items



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/projects/{projectId}/budget-analysis/groups/{groupKey}/items
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/budget-analysis/groups/{groupKey}/items:
    get:
      tags:
        - Budget Analysis
      summary: Items
      operationId: BudgetAnalysisController_items_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d{0,18}$
        - name: projectId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d{0,18}$
        - name: groupKey
          required: true
          in: path
          schema:
            anyOf:
              - type: string
                pattern: ^category:[1-9]\d{0,18}$
              - type: string
                enum:
                  - category:none
              - type: string
                pattern: ^supplier:[1-9]\d{0,18}$
              - type: string
                enum:
                  - supplier:none
              - type: string
                pattern: ^area:[1-9]\d{0,18}$
              - type: string
                enum:
                  - area:extra
              - type: string
                enum:
                  - area:unassigned
              - type: string
                pattern: ^department:[1-9]\d{0,18}$
              - type: string
                enum:
                  - department:none
        - name: budgetVersion
          required: true
          in: query
          schema:
            anyOf:
              - type: string
                enum:
                  - live
              - type: string
                pattern: ^[1-9]\d{0,18}$
        - name: cursor
          required: false
          in: query
          schema:
            type: string
            minLength: 1
            maxLength: 2048
        - name: limit
          required: false
          in: query
          schema:
            default: 20
            type: integer
            minimum: 1
            maximum: 100
        - name: issue
          required: false
          in: query
          schema:
            type: string
            enum:
              - overrun
              - incomplete
              - shortfall
              - line_overrun_specified
              - line_overrun_purchase
        - name: categoryIds
          required: false
          in: query
          schema:
            anyOf:
              - type: string
                pattern: ^[1-9]\d{0,18}$
              - maxItems: 200
                type: array
                items:
                  type: string
                  pattern: ^[1-9]\d{0,18}$
        - name: supplierCompanyIds
          required: false
          in: query
          schema:
            anyOf:
              - type: string
                pattern: ^[1-9]\d{0,18}$
              - maxItems: 200
                type: array
                items:
                  type: string
                  pattern: ^[1-9]\d{0,18}$
        - name: areaIds
          required: false
          in: query
          schema:
            anyOf:
              - type: string
                pattern: ^[1-9]\d{0,18}$
              - maxItems: 200
                type: array
                items:
                  type: string
                  pattern: ^[1-9]\d{0,18}$
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BudgetAnalysisItemsResponseDto'
      security:
        - bearer: []
components:
  schemas:
    BudgetAnalysisItemsResponseDto:
      type: object
      properties:
        matchedCount:
          type: number
        insights:
          $ref: '#/components/schemas/BudgetAnalysisInsightsDto'
        items:
          type: array
          items:
            $ref: '#/components/schemas/BudgetAnalysisRowDto'
        nextCursor:
          type:
            - string
            - 'null'
        hasMore:
          type: boolean
        computedAt:
          type: string
        groupItemCount:
          type: number
      required:
        - matchedCount
        - insights
        - items
        - nextCursor
        - hasMore
        - computedAt
        - groupItemCount
    BudgetAnalysisInsightsDto:
      type: object
      properties:
        scopes:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/BudgetAnalysisInsightDto'
      required:
        - scopes
    BudgetAnalysisRowDto:
      type: object
      properties:
        key:
          type: string
        kind:
          type: string
          enum:
            - extra
            - item
            - unassigned
            - group
            - bucket
        label:
          type:
            - string
            - 'null'
        parentKey:
          type:
            - string
            - 'null'
        depth:
          type: number
        effectiveInstanceCount:
          type:
            - number
            - 'null'
        categoryId:
          type:
            - string
            - 'null'
        supplierCompanyId:
          type:
            - string
            - 'null'
        supplierName:
          type:
            - string
            - 'null'
        departmentId:
          type:
            - string
            - 'null'
        areaId:
          type:
            - string
            - 'null'
        slotId:
          type:
            - string
            - 'null'
        projectItemId:
          type:
            - string
            - 'null'
        refNumber:
          type:
            - string
            - 'null'
        allocatedCost:
          type:
            - string
            - 'null'
        categoryPlan:
          anyOf:
            - $ref: '#/components/schemas/BudgetAnalysisCategoryPlanDto'
            - type: 'null'
        areaClientCeiling:
          type:
            - string
            - 'null'
        areaPlan:
          anyOf:
            - $ref: '#/components/schemas/BudgetAnalysisAreaPlanDto'
            - type: 'null'
        estimated:
          type: boolean
        budget:
          $ref: '#/components/schemas/BudgetAnalysisBudgetDto'
        specified:
          $ref: '#/components/schemas/BudgetAnalysisTrackDto'
        purchase:
          $ref: '#/components/schemas/BudgetAnalysisTrackDto'
        gaps:
          $ref: '#/components/schemas/BudgetAnalysisGapsDto'
        incomplete:
          $ref: '#/components/schemas/BudgetAnalysisIncompleteDto'
        itemCount:
          type: number
      required:
        - key
        - kind
        - label
        - parentKey
        - depth
        - effectiveInstanceCount
        - categoryId
        - supplierCompanyId
        - supplierName
        - departmentId
        - areaId
        - slotId
        - projectItemId
        - refNumber
        - categoryPlan
        - areaPlan
        - estimated
        - budget
        - specified
        - purchase
        - gaps
        - incomplete
        - itemCount
    BudgetAnalysisInsightDto:
      type: object
      properties:
        comparisons:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/BudgetAnalysisComparisonSidesDto'
        key:
          type: string
        label:
          type:
            - string
            - 'null'
        coverage:
          $ref: '#/components/schemas/BudgetAnalysisCoverageDto'
        margin:
          $ref: '#/components/schemas/BudgetAnalysisMarginsDto'
        effectiveSoftCostEstimate:
          type:
            - string
            - 'null'
        revision:
          type: string
      required:
        - comparisons
        - key
        - label
        - coverage
        - revision
    BudgetAnalysisCategoryPlanDto:
      type: object
      properties:
        sharePct:
          type:
            - string
            - 'null'
        clientAllocation:
          type:
            - string
            - 'null'
        effectiveMarginPct:
          type:
            - string
            - 'null'
        marginMeaning:
          type: string
          enum:
            - target
            - equivalent
        effectiveMarkupPct:
          type:
            - string
            - 'null'
      required:
        - marginMeaning
    BudgetAnalysisAreaPlanDto:
      type: object
      properties:
        effectiveInstanceCount:
          type: number
        squareArea:
          type:
            - string
            - 'null'
        rate:
          type:
            - string
            - 'null'
        amount:
          type:
            - string
            - 'null'
        inputMissing:
          type: boolean
      required:
        - effectiveInstanceCount
        - squareArea
    BudgetAnalysisBudgetDto:
      type: object
      properties:
        itemizedCost:
          type:
            - string
            - 'null'
        itemizedClient:
          type:
            - string
            - 'null'
    BudgetAnalysisTrackDto:
      type: object
      properties:
        extendedCost:
          type:
            - string
            - 'null'
        extendedClient:
          type:
            - string
            - 'null'
        itemizedCostVariance:
          anyOf:
            - $ref: '#/components/schemas/BudgetAnalysisVarianceDto'
            - type: 'null'
        itemizedClientVariance:
          anyOf:
            - $ref: '#/components/schemas/BudgetAnalysisVarianceDto'
            - type: 'null'
        allocatedCostVariance:
          anyOf:
            - $ref: '#/components/schemas/BudgetAnalysisVarianceDto'
            - type: 'null'
    BudgetAnalysisGapsDto:
      type: object
      properties:
        budgetPrice:
          type: number
        budgetQuantity:
          type: number
        costInput:
          type: number
    BudgetAnalysisIncompleteDto:
      type: object
      properties:
        budget:
          type: boolean
        specified:
          type: boolean
        purchase:
          type: boolean
    BudgetAnalysisComparisonSidesDto:
      type: object
      properties:
        cost:
          $ref: '#/components/schemas/BudgetAnalysisComparisonValueDto'
        client:
          $ref: '#/components/schemas/BudgetAnalysisComparisonValueDto'
    BudgetAnalysisCoverageDto:
      type: object
      properties:
        lineCount:
          type: number
        budgetGapCount:
          type: number
        costGapCount:
          type: number
        clientGapCount:
          type: number
        incompleteInputCount:
          type: number
        purchasingShortfallCount:
          type: number
        installedShortfallCount:
          type: number
        requiredStockShortfallCount:
          type: number
      required:
        - lineCount
        - purchasingShortfallCount
        - installedShortfallCount
        - requiredStockShortfallCount
    BudgetAnalysisMarginsDto:
      type: object
      properties:
        specified:
          $ref: '#/components/schemas/BudgetAnalysisMarginDto'
        purchase:
          $ref: '#/components/schemas/BudgetAnalysisMarginDto'
      required:
        - specified
        - purchase
    BudgetAnalysisVarianceDto:
      type: object
      properties:
        amount:
          type: string
        pct:
          type:
            - string
            - 'null'
      required:
        - amount
        - pct
    BudgetAnalysisComparisonValueDto:
      type: object
      properties:
        baseline:
          type:
            - string
            - 'null'
        compared:
          type:
            - string
            - 'null'
        variance:
          anyOf:
            - $ref: '#/components/schemas/BudgetAnalysisVarianceDto'
            - type: 'null'
        state:
          type: string
          enum:
            - incomplete
            - unavailable
            - available
        adverse:
          type: boolean
      required:
        - baseline
        - compared
        - variance
        - state
        - adverse
    BudgetAnalysisMarginDto:
      type: object
      properties:
        client:
          type:
            - string
            - 'null'
        cost:
          type:
            - string
            - 'null'
        profit:
          type:
            - string
            - 'null'
        marginPct:
          type:
            - string
            - 'null'
        targetPct:
          type:
            - string
            - 'null'
        belowTarget:
          type: boolean
        state:
          type: string
          enum:
            - incomplete
            - unavailable
            - available
      required:
        - client
        - cost
        - profit
        - marginPct
        - targetPct
        - belowTarget
        - state
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.